function  vypocti_casy( varargin )
%funkce pro vypocet casu pro statistiku a jejich vykreleni do GUI

global poz celk_cas_objsp objekty celk_cas_sp Data celk_pauz
X = Data(1).x;
Y = Data(1).y;
Casove_rozestupy = [0 diff(Data(1).t)' / 1000];
d=1;

for i=1:18
    pp=objekty{1,i};
    if(isempty(pp)~=1)
    celk_cas_objsp(i)=sum(Casove_rozestupy(objekty{1,i}(1):objekty{1,i}(end)));
    k=1;
    for j=1:length(objekty{1,i})-1
        if objekty{1,i}(j+1)==(objekty{1,i}(j)+1)
            pauz_obj{i,k}=Casove_rozestupy(objekty{1,i}(j+1));
            k=k+1;
        end
    end
    for c=1:18
        ppp=objekty{1,c};
        if(isempty(ppp)~=1)
        if(objekty{1,i}(1)==objekty{1,c}(end)+1)
            pauz_kon{d}=Casove_rozestupy(objekty{1,i}(1));
            d=d+1;
        end
        end
    end
    end
end

celk_pauz=0;
for i=1:size(pauz_obj,1)
    for j=1:size(pauz_obj,2)
        p=(pauz_obj{i,j});
        if (isempty(p)~=1)
            celk_pauz=celk_pauz+p;
        end
    end
end
for i=1:d-1
    p=(pauz_kon{i});
    celk_pauz=celk_pauz+p;
end
celk_cas_sp=sum(celk_cas_objsp);

end